configEBrowser {EnrichmentBrowser} | R Documentation

## Configuring the EnrichmentBrowser

### Description

Function to get and set configuration parameters determining the default behavior of the EnrichmentBrowser

### Usage

    configEBrowser(key, value = NULL)

### Arguments

`key` | Configuration parameter.
`value` | Value to overwrite the current value of key.

### Details

Important colData, rowData, and result column names:

- SMPL.COL: colData column storing the sample IDs (default: "SAMPLE")

- GRP.COL: colData column storing binary group assignment (default: "GROUP")

- BLK.COL: colData column defining paired samples or sample blocks (default: "BLOCK")

- PRB.COL: rowData column storing probe/feature IDs ("PROBEID", read-only)

- EZ.COL: rowData column storing gene ENTREZ IDs ("ENTREZID", read-only)

- SYM.COL: rowData column storing gene symbols ("SYMBOL", read-only)

- GN.COL: rowData column storing gene names ("GENENAME", read-only)

- FC.COL: rowData column storing (log2) fold changes of differential expression between sample groups (default: "FC")

- ADJP.COL: rowData column storing adjusted (corrected for multiple testing) p-values of differential expression between sample groups (default: "ADJ.PVAL")

- GS.COL: result table column storing gene set IDs (default: "GENE.SET")

- PVAL.COL: result table column storing gene set significance (default: "PVAL")

- PMID.COL: gene table column storing PUBMED IDs ("PUBMED", read-only)

Important URLs (all read-only):

- NCBI.URL: http://www.ncbi.nlm.nih.gov/

- PUBMED.URL: http://www.ncbi.nlm.nih.gov/pubmed/

- GENE.URL: http://www.ncbi.nlm.nih.gov/gene/

- KEGG.URL: http://www.genome.jp/dbget-bin/

- KEGG.GENE.URL: http://www.genome.jp/dbget-bin/www_bget?

- KEGG.SHOW.URL: http://www.genome.jp/dbget-bin/show_pathway?

- GO.SHOW.URL: http://amigo.geneontology.org/amigo/term/

Default output directory:

- EBROWSER.HOME: `rappdirs::user_data_dir("EnrichmentBrowser")`

- OUTDIR.DEFAULT: `file.path(EBROWSER.HOME, "results")`

Gene set size:

- GS.MIN.SIZE: minimum number of genes per gene set (default: 5)

- GS.MAX.SIZE: maximum number of genes per gene set (default: 500)

Result appearance:

- RESULT.TITLE: (default: "Table of Results")

- NR.SHOW: maximum number of entries to show (default: 20)

### Value

If is.null(value) this returns the value of the selected configuration parameter. Otherwise, it updates the selected parameter with the given value.

### Author(s)

Ludwig Geistlinger <Ludwig.Geistlinger@sph.cuny.edu>

### Examples

        # getting config information
        configEBrowser("GS.MIN.SIZE")

        # setting config information
        # WARNING: this is for advanced users only!
        # inappropriate settings will impair EnrichmentBrowser's functionality
        configEBrowser(key="GS.MIN.SIZE", value=3)

        # restoring default config settings
        configEBrowser()

[Package EnrichmentBrowser version 2.16.1 Index]